<< qdrand | QD: 32 bytes decimal arithmetics | (DLL mandatory) >>

DD_QD (MuPAT) >> DD_QD (MuPAT) > QD: 32 bytes decimal arithmetics > qdzeros

# qdzeros

QD matrix made of zeros

### Syntax

    a = qdzeros(m,n)
    a = zeros(QDmat)

### Parameters

m, n

  positive integers

QDmat

  a matrix of QD numbers

a

  matrix of QD zeros, of size [m,n] or size(QDmat).

### Examples

    qdzeros(1,1)     // scalar
    qdzeros(1,4)     // vector
    qdzeros(2,3)     // matrix

    q = qdrand(2,4); // template
    zeros(q)

    --> qdzeros(1,1)     // scalar
     ans  =
       0.00000000000000000000000000000000000000000000000000000000000000E0

    --> qdzeros(1,4)     // vector
     ans  =
    [d1] zeros(1,4)
    [d2] zeros(1,4)
    [d3] zeros(1,4)
    [d4] zeros(1,4)

    --> qdzeros(2,3)     // matrix
     ans  =
    [d1] zeros(2,3)
    [d2] zeros(2,3)
    [d3] zeros(2,3)
    [d4] zeros(2,3)

    --> q = qdrand(2,4); // template
    --> zeros(q)
     ans  =
    [d1] zeros(2,4)
    [d2] zeros(2,4)
    [d3] zeros(2,4)
    [d4] zeros(2,4)

### See Also

- ddzeros — generates a matrix made of DD zeros
- qdones — QD matrix made of ones
- qdeye — Identity matrix
- qdrand — (Quasi) Pseudorandom QD number generator
- qd — builds an array of QD numbers

### Authors

Copyright (C) 2011 - Tsubasa Saito

Report an issue
<< qdrand | QD: 32 bytes decimal arithmetics | (DLL mandatory) >>